const { api } = require("../../utils/api")

// index.js
Page({
  data: {
    list:[]    
  },
  onLoad(options) {
    
  },
  onShow(){
    this.fetchList()
  },
  goInfo(e){
    const id  = e.currentTarget.dataset.id
    wx.navigateTo({
      url: '../garden/info?id=' + id,
    })
  },
  fetchList(){
    const user = wx.getStorageSync('user')
    const data = {userId: user.id,current:1,pageSize:20}
    api('/plant/todayCare','GET',data,'json').then(res => {
      if (res.code === 200){
        if (res.data === null){
          this.setData({list:[]})
          return
        }
        
        this.setData({list:res.data})
      }
    })
  },
  goAdd(){
    wx.navigateTo({
      url: '../add/index',
    })
  },
  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})
